Package org.eclipse.core.databinding.bind.steps

# Interface CommonSteps.ConvertFromStep<F,T>

Type Parameters:
  `F` - type of the from-end observable
  `T` - type of the to-end observable

All Superinterfaces:
  `Step`

All Known Subinterfaces:
  `ListTwoWaySteps.ListTwoWayConvertFromStep<F,T>`, `SetTwoWaySteps.SetTwoWayConvertFromStep<F,T>`, `ValueTwoWaySteps.ValueTwoWayConvertFromStep<F,T>`

Enclosing class:
  CommonSteps

public static interface CommonSteps.ConvertFromStep<F,T> extends Step
Step for setting the to-from converter.

Restriction:

## Method Summary

Modifier and Type
Method
Description
`Step`
`convertFrom(IConverter<? super T,? extends F> converter)`
Sets the from-to direction converter on the resulting binding.

## Method Details

### convertFrom

Step convertFrom(IConverter<? super T,? extends F> converter)
Sets the from-to direction converter on the resulting binding. This defines the type of the to-end observable.

Parameters:
  `converter` - the converter to set
Returns:
  next step
See Also:
  - `UpdateValueStrategy.setConverter(org.eclipse.core.databinding.conversion.IConverter<? super S, ? extends D>)`